> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/platform-service/zbc/datastructure.md).

# Data Types

## RechargeRefundHistory

<table><thead><tr><th width="221">Parameter Name</th><th width="185">Type</th><th>Description</th></tr></thead><tbody><tr><td>transactionType</td><td>String</td><td>Transaction type.</td></tr><tr><td>amount</td><td>Double</td><td>Recharge amount.</td></tr><tr><td>paymentMethod</td><td>String</td><td>Recharge method.</td></tr><tr><td>transactionId</td><td>String</td><td>Transaction ID.</td></tr><tr><td>state</td><td><a href="#rechargestate">RechargeState</a></td><td>Recharge state.</td></tr><tr><td>transactionTime</td><td>Date</td><td>Recharge time.</td></tr><tr><td>accountUid</td><td>String</td><td>Team CID.</td></tr></tbody></table>

## TransactionHistory

<table><thead><tr><th width="212">Parameter Name</th><th width="188">Type</th><th>Description</th></tr></thead><tbody><tr><td>accountUid</td><td>String</td><td>Team CID.</td></tr><tr><td>uid</td><td>String</td><td>Transaction ID.</td></tr><tr><td>transactionTime</td><td>Date</td><td>Transaction time.</td></tr><tr><td>orderSn</td><td>String</td><td>Order No.</td></tr><tr><td>description</td><td>String</td><td>Description.</td></tr><tr><td>transactionType</td><td><a href="#transactiontype">TransactionType</a></td><td>Transaction type.</td></tr><tr><td>paymentMethod</td><td>String</td><td>Recharge method.</td></tr><tr><td>amount</td><td>Double</td><td>Transaction amount.</td></tr><tr><td>cashBalance</td><td>Double</td><td>Account balance.</td></tr><tr><td>tradeType</td><td><a href="#tradetype">TradeType</a></td><td>Trade type.<br>The value is <code>INCOME</code> or <code>EXPENDITURE</code>.</td></tr><tr><td>tradeNo</td><td>String</td><td>No. of specific trade type.</td></tr></tbody></table>

## BillingDetailInfo

<table><thead><tr><th width="224">Parameter Name</th><th width="126">Type</th><th>Description</th></tr></thead><tbody><tr><td>resourceId</td><td>String</td><td>Resource ID (Instance ID)</td></tr><tr><td>productSubitem</td><td>String</td><td>Sub-product.</td></tr><tr><td>product</td><td>String</td><td>Product line.</td></tr><tr><td>amount</td><td>Double</td><td>Bill amount.</td></tr><tr><td>voucher</td><td>Double</td><td>Voucher amount.</td></tr><tr><td>cash</td><td>Double</td><td>Cash amount.</td></tr><tr><td>billingMode</td><td>String</td><td>Billing mode.</td></tr><tr><td>orderSn</td><td>String</td><td>Order No.</td></tr><tr><td>deductionTime</td><td>Date</td><td>Deduction time.</td></tr><tr><td>label</td><td>String</td><td>Product label name.</td></tr><tr><td>location</td><td>String</td><td>Product location.</td></tr><tr><td>billMonthly</td><td>Integer</td><td>Month of the bill.</td></tr><tr><td>resourceGroupId</td><td>String</td><td>Resource group ID.</td></tr><tr><td>resourceGroupName</td><td>String</td><td>Resource group name.</td></tr><tr><td>startTime</td><td>Date</td><td>Start time.</td></tr><tr><td>endTime</td><td>Date</td><td>End time.</td></tr></tbody></table>

## MonthlyBillSummary

<table><thead><tr><th width="227">Parameter Name</th><th width="134">Type</th><th>Description</th></tr></thead><tbody><tr><td>product</td><td>String</td><td>Product line.</td></tr><tr><td>resourceGroupName</td><td>String</td><td>Resource group name.</td></tr><tr><td>spend</td><td>Double</td><td>Total spend.</td></tr><tr><td>voucher</td><td>Double</td><td>Total voucher amount.</td></tr><tr><td>cash</td><td>Double</td><td>Total cash.</td></tr><tr><td>resourceGroupId</td><td>String</td><td>Resource group ID.</td></tr><tr><td>refund</td><td>Double</td><td>Total refund amount.</td></tr></tbody></table>

## TransactionType

<table><thead><tr><th width="294">State</th><th>Description</th></tr></thead><tbody><tr><td>RECHARGE</td><td>Recharge.</td></tr><tr><td>REFUND</td><td>Refund.</td></tr><tr><td>DEDUCTION</td><td>Deduction.</td></tr><tr><td>ORDER_REFUND</td><td>Refund of the refund.</td></tr><tr><td>DERATE</td><td>Deration.</td></tr><tr><td>ORDER_FROZEN</td><td>Hold request.</td></tr><tr><td>ORDER_UNFROZEN</td><td>Hold release.</td></tr><tr><td>NS_SYNC</td><td>NS sync.</td></tr></tbody></table>

## RechargeState

<table><thead><tr><th width="295">State</th><th>Description</th></tr></thead><tbody><tr><td>PAYING</td><td>Paying.</td></tr><tr><td>PAY_FAILED</td><td>Paying failed.</td></tr><tr><td>PAY_SUCCESS</td><td>Paying succeeded.</td></tr></tbody></table>

## SummaryType

<table><thead><tr><th width="297">State</th><th>Description</th></tr></thead><tbody><tr><td>PRODUCT</td><td>By product.</td></tr><tr><td>RESOURCE_GROUP</td><td>By resource group.</td></tr></tbody></table>

## TradeType

<table><thead><tr><th width="302">State</th><th>Description</th></tr></thead><tbody><tr><td>INCOME</td><td>Income.</td></tr><tr><td>EXPENDITURE</td><td>Spend.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/platform-service/zbc/datastructure.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
